﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace CSSample
{
	public partial class Form1 : Form
	{
		public Form1()
		{
			InitializeComponent();
		}

		// ディレクトリーの参照
		private void button1_Click(object sender, EventArgs e)
		{
			using (FolderBrowserDialog dlg = new FolderBrowserDialog())
			{
				if (DialogResult.Cancel == dlg.ShowDialog(this))
				{
					return;
				}
				this.textBox1.Text = dlg.SelectedPath;
			}
		}

		private void button2_Click(object sender, EventArgs e)
		{
			this.directoryTreeView1.RootPath = this.textBox1.Text;
		}

		private void directoryTreeView1_SelectedItemChanged(object sender, Man.Windows.Forms.DirectoryTreeViewSelectedItemChangedEventArgs e)
		{
			this.textBox2.Text = e.Path;
		}
	}
}
